<div class="container-md projects mt-5 mb-5">
  <div class="row">
    <div class="col-6">
      <h2>Projects</h2>
    </div>

    <div class="col-6 d-flex justify-content-end">
      <button class="btn btn-primary" (click)="createProject()">Create Project</button>
    </div>

  </div>

  <h5>Filters:</h5>

  <div class="form-check mb-1">
    <input
      type="checkbox"
      class="form-check-input"
      id="check-box"
      (change)="onShowOwn($event)"
    />
    <label class="form-check-label">Show my projects only</label>
  </div>
  <div class="row">
    <div class="form-group col-sm-3">
      <input type="keyword" class="form-control" placeholder="Keyword" (input)="onSearch($event)"/>
    </div>

    <div class="form-group col-sm-3">
      <select class="form-control" (change)="onSkillFilter($event)">
        <option value="" selected>Choose a skill</option>
        <option *ngFor="let skill of skills" [value]="skill.id">{{ skill.name }}</option>
      </select>
    </div>

    <div class="form-group col-sm-3">
      <select class="form-control" (change)="onFilterByStatus($event)">
        <option value="" selected>Choose progress status</option>
        <option value="in-progress">In Progress</option>
        <option value="finished">Finished</option>
      </select>
    </div>
  </div>

  <div class="projects-container" *ngFor="let project of projects.value">
    <app-project-card [singleProject]="project"></app-project-card>
  </div>
</div>
